## org.apache.batik.css.parser
Class CSSLexicalUnit.FunctionLexicalUnit

    java.lang.Object
      org.apache.batik.css.parser.CSSLexicalUnit
          org.apache.batik.css.parser.CSSLexicalUnit.FunctionLexicalUnit

All Implemented Interfaces:
  org.w3c.css.sac.LexicalUnit

Enclosing class:
  CSSLexicalUnit

    protected static class CSSLexicalUnit.FunctionLexicalUnit

extends CSSLexicalUnit

This class represents a function unit.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.parser.CSSLexicalUnit
`CSSLexicalUnit.DimensionLexicalUnit, CSSLexicalUnit.FloatLexicalUnit, CSSLexicalUnit.FunctionLexicalUnit, CSSLexicalUnit.IntegerLexicalUnit, CSSLexicalUnit.PredefinedFunctionLexicalUnit, CSSLexicalUnit.SimpleLexicalUnit, CSSLexicalUnit.StringLexicalUnit`

Field Summary
`protected java.lang.String` `name` The function name.
`protected org.w3c.css.sac.LexicalUnit` `parameters` The function parameters.

Fields inherited from class org.apache.batik.css.parser.CSSLexicalUnit

`lexicalUnitType, nextLexicalUnit, previousLexicalUnit, TEXT_COUNTER_FUNCTION, TEXT_COUNTERS_FUNCTION, TEXT_RECT_FUNCTION, TEXT_RGBCOLOR, UNIT_TEXT_CENTIMETER, UNIT_TEXT_DEGREE, UNIT_TEXT_EM, UNIT_TEXT_EX, UNIT_TEXT_GRADIAN, UNIT_TEXT_HERTZ, UNIT_TEXT_INCH, UNIT_TEXT_KILOHERTZ, UNIT_TEXT_MILLIMETER, UNIT_TEXT_MILLISECOND, UNIT_TEXT_PERCENTAGE, UNIT_TEXT_PICA, UNIT_TEXT_PIXEL, UNIT_TEXT_POINT, UNIT_TEXT_RADIAN, UNIT_TEXT_REAL, UNIT_TEXT_SECOND`

Fields inherited from interface org.w3c.css.sac.LexicalUnit

`SAC_ATTR, SAC_CENTIMETER, SAC_COUNTER_FUNCTION, SAC_COUNTERS_FUNCTION, SAC_DEGREE, SAC_DIMENSION, SAC_EM, SAC_EX, SAC_FUNCTION, SAC_GRADIAN, SAC_HERTZ, SAC_IDENT, SAC_INCH, SAC_INHERIT, SAC_INTEGER, SAC_KILOHERTZ, SAC_MILLIMETER, SAC_MILLISECOND, SAC_OPERATOR_COMMA, SAC_OPERATOR_EXP, SAC_OPERATOR_GE, SAC_OPERATOR_GT, SAC_OPERATOR_LE, SAC_OPERATOR_LT, SAC_OPERATOR_MINUS, SAC_OPERATOR_MOD, SAC_OPERATOR_MULTIPLY, SAC_OPERATOR_PLUS, SAC_OPERATOR_SLASH, SAC_OPERATOR_TILDE, SAC_PERCENTAGE, SAC_PICA, SAC_PIXEL, SAC_POINT, SAC_RADIAN, SAC_REAL, SAC_RECT_FUNCTION, SAC_RGBCOLOR, SAC_SECOND, SAC_STRING_VALUE, SAC_SUB_EXPRESSION, SAC_UNICODERANGE, SAC_URI`

Constructor Summary
`CSSLexicalUnit.FunctionLexicalUnit(java.lang.String f, org.w3c.css.sac.LexicalUnit params, org.w3c.css.sac.LexicalUnit prev)` Creates a new LexicalUnit.

Method Summary
`java.lang.String` `getFunctionName()` SAC: Implements `LexicalUnit.getFunctionName()`.
`org.w3c.css.sac.LexicalUnit` `getParameters()` SAC: Implements `LexicalUnit.getParameters()`.

Methods inherited from class org.apache.batik.css.parser.CSSLexicalUnit
`createDimension, createFloat, createFunction, createInteger, createPredefinedFunction, createSimple, createString, getDimensionUnitText, getFloatValue, getIntegerValue, getLexicalUnitType, getNextLexicalUnit, getPreviousLexicalUnit, getStringValue, getSubValues, setNextLexicalUnit, setPreviousLexicalUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The function name.

### parameters

    protected org.w3c.css.sac.LexicalUnit parameters

  The function parameters.

Constructor Detail

### CSSLexicalUnit.FunctionLexicalUnit

    public CSSLexicalUnit.FunctionLexicalUnit(java.lang.String f,
                                              org.w3c.css.sac.LexicalUnit params,
                                              org.w3c.css.sac.LexicalUnit prev)

  Creates a new LexicalUnit.

Method Detail

### getFunctionName

    public java.lang.String getFunctionName()

  SAC: Implements `LexicalUnit.getFunctionName()`.

  Specified by:
    `getFunctionName` in interface `org.w3c.css.sac.LexicalUnit`
  Overrides:
    `getFunctionName` in class `CSSLexicalUnit`

### getParameters

    public org.w3c.css.sac.LexicalUnit getParameters()

  SAC: Implements `LexicalUnit.getParameters()`.

  Specified by:
    `getParameters` in interface `org.w3c.css.sac.LexicalUnit`
  Overrides:
    `getParameters` in class `CSSLexicalUnit`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.